BLOGS

4D FOR FLEX

warning: file_get_contents(http://www.telize.com/geoip/54.81.6.121) [function.file-get-contents]: failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found in /var/www/www.4d.com/docs/includes/common.inc(1762) : eval()'d code on line 4.

¿Qué necesita para desarrollar con 4D for Flex?

Además de un servidor SQL 4D, necesita Flex SDK.

 

Puede obtenerlo gratis desde el sitio web de Adobe (http://www.adobe.com/products/flex/) y usarlo con la línea de comandos o usar el IDE Flex Builder comercial de Adobe.

¿4D for Flex necesita de 4D Server?

No para desarrollo, pero sí para despliegue.

¿Puedo llamar código 4D con 4D for Flex?

Si, es posible llamar métodos 4D publicados para SQL.

Simplemete seleccione "Disponible por SQL" en el editor de propiedades del método y llámelo desde su código SQL.

Vea los ejemplos para aprender cómo hacerlo.

¿4D for Flex necesita modificar el código?

No es necesario código del lado del servidor, pero es mejor si añade algún control de seguridad en el nuevo método de base On SQL Authentication.

¿Puede bloquear registros en 4D for Flex?

Puede usar la función SELECT FOR UPDATE. Por favor vea el manual para más información.

¿4D for Flex ofrece una conexión continua?

Usted tiene dos modos de comunicación entre 4D y Flex:

 

• Usando HTTP (o SOAP sobre HTTP), trabajando sin conexión, intercambiando datos en el viejo XML (POX)

• Usando conectores SQL con 4D for Flex, trabajando con conexión, intercambiando datos por medio de un protocolo binario

¿Qué puerto utiliza 4D for Flex?

El puerto del servidor SQL se configura en las preferencias, por defecto era el 1919 hasta la versión 11.2 y ahora es 19812.

Por supuesto, este puerto debe estar disponible en los firewalls.

¿Cuál es la diferencia entre 4D for Flex y DAX?

Ambos tienen el mismo objetivo, desarrollar aplicaciones ricas de Internet (RIAs) para 4D Server. Pero siguen dos esquemas diferentes:

4D for Flex trabaja conectado, sin ningún componente del lado del servidor. La comunicación entre cliente y servidor se basa en un protocolo SQL patentado (el mismo usado para el soporte ODBC para SQL), lo cual requiere abrir un puerto especial en el firewall para permitir la comunicación.

¿Cuál es la versión mínima de 4D para usar 4D for Flex?

La versión mínima necesaria de 4D es 4D v11 SQL Release 2 (11.2)

Control y administración de sesiones

Controle y administre sesiones, conexiones, desconexiones, tiempos de espera, etc.